import frameToWaveformCanvasX from './frameToWaveformCanvasX';

describe('frameToWaveformCanvasX', () => {
  it('returns null when the frame is before the viewport', () => {
    const x = frameToWaveformCanvasX(100, { start: 200, end: 300 }, 2000);
    expect(x).toBeNull();
  });

  it('returns null when the frame is after the viewport', () => {
    const x = frameToWaveformCanvasX(400, { start: 200, end: 300 }, 2000);
    expect(x).toBeNull();
  });

  it('returns the expected coordinate when the frame is inside the viewport', () => {
    const x = frameToWaveformCanvasX(251, { start: 200, end: 300 }, 2000);
    expect(x).toEqual(1020);
  });
});
